%define name python-psyco
%define version 1.2
%define release 1mdk
%define oname psyco

Summary: Python Specializing Compiler
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%oname/%oname-%version-src.tar.bz2
Source1: psyco-1.1.1-docs.tar.bz2
License: MIT
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython-devel
Url: http://psyco.sourceforge.net
Exclusivearch: %ix86

%description
Psyco accelerates the execution of Python code. It requires Python 2.1
or 2.2 and a 386-compatible processor. It should be OS-independent,
although it has only be tested on Linux and Windows. Problems have
been reported on FreeBSD.

%package docs
Group: Development/Python
Summary: Programmer's documentation for Psyco

%description docs
Psyco accelerates the execution of Python code. It requires Python 2.1
or 2.2 and a 386-compatible processor. It should be OS-independent,
although it has only be tested on Linux and Windows. Problems have
been reported on FreeBSD.

This package contains the developer's documentation for %name in HTML
and PostScript formats.

%prep
%setup -q -n %oname-%version -a 1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc *.txt
%_libdir/python?.?/site-packages/psyco

%files docs 
%defattr(-,root,root)
%doc Documentation/*

%changelog
* Thu Mar  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- new version

* Mon Sep  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- include prebuilt docs from debian, we don't have python's mkhowto
- initial package
